---
pip_extra_index_url: "https://snapshots.linaro.org/ldcg/python-cache/"
build_dir: "/tmp/workspace"
wheels_dir: "/tmp/workspace/wheels/"
clang_build: false
onednn_build: false
onednn_enable_opt: false
prebuild_release: false
prebuild_hash: ""
bazelrc_file: "{{ 'aarch64_clang.bazelrc' if clang_build else 'aarch64.bazelrc' }}"
extra_options: "{{ '--config=mkl_aarch64_threadpool' if onednn_build else '' }}"
extra_test_options: "{{ '--test_env=TF_ENABLE_ONEDNN_OPTS=0' if onednn_build else '' }}"
variant_name: "{{ '-oneDNN-ACL' if onednn_build else '' }}"
bazelisk_version: "v1.12.0"
versions:
  "2.17":
    tensorflow_version: "2.17.0"
    bazel_version: "bazelisk"
    old_pip_package: false
    image_prefix: "2.17"
    run_unit_tests: true
    run_serial_unit_tests: true
    onednn_ut_exclude: ""
    unit_tests_exclude:
       - "//tensorflow/lite/..."
    unit_tests_gcc_exclude: ""
    unit_tests_clang_exclude:
      - "//tensorflow/core/kernels/image:resize_bicubic_op_test"
    serial_unit_tests_exclude: ""
    unit_tests_filter_flags: "NOT_USED"
    python_versions:
      - "3.9"
      - "3.10"
      - "3.11"
      - "3.12"
  "2.16":
    tensorflow_version: "2.16.2"
    bazel_version: "bazelisk"
    old_pip_package: true
    image_prefix: "2.16"
    run_unit_tests: true
    run_serial_unit_tests: true
    onednn_ut_exclude: ""
    unit_tests_exclude:
       - "//tensorflow/lite/..."
    unit_tests_gcc_exclude:
       - "//tensorflow/compiler/mlir/lite/debug:debug_test"
       - "//tensorflow/compiler/mlir/quantization/tensorflow/debugging:mlir_dump_test"
    unit_tests_clang_exclude:
      - "//tensorflow/core/kernels/image:resize_bicubic_op_test"
    serial_unit_tests_exclude: ""
    unit_tests_filter_flags: "NOT_USED"
    python_versions:
      - "3.9"
      - "3.10"
      - "3.11"
      - "3.12"
  "2.15":
    tensorflow_version: "2.15.1"
    bazel_version: "bazelisk"
    old_pip_package: true
    image_prefix: "2.15"
    run_unit_tests: true
    run_serial_unit_tests: true
    onednn_ut_exclude:
       - "//tensorflow/core/grappler/optimizers:auto_mixed_precision_test"
       - "//tensorflow/core/grappler/optimizers:remapper_test"
    unit_tests_exclude:
       - "//tensorflow/lite/..."
       - "//tensorflow/tools/api/tests:api_compatibility_test"
    unit_tests_gcc_exclude:
       - "//tensorflow/compiler/mlir/lite/debug:debug_test"
    unit_tests_clang_exclude:
      - "//tensorflow/compiler/mlir/lite/quantization/lite:quantize_model_test"
      - "//tensorflow/compiler/mlir/lite/quantization/lite:quantize_weights_test"
      - "//tensorflow/compiler/mlir/lite/sparsity:sparsify_model_test"
      - "//tensorflow/core/kernels/image:resize_bicubic_op_test"
    serial_unit_tests_exclude: ""
    unit_tests_filter_flags: "NOT_USED"
    python_versions:
      - "3.9"
      - "3.10"
      - "3.11"
  "git":
    tensorflow_version: "git"
    bazel_version: "bazelisk"
    old_pip_package: false
    image_prefix: "latest"
    run_unit_tests: true
    run_serial_unit_tests: true
    onednn_ut_exclude: ""
    unit_tests_exclude:
       - "//tensorflow/lite/..."
    unit_tests_gcc_exclude: ""
    unit_tests_clang_exclude: ""
    serial_unit_tests_exclude: ""
    unit_tests_filter_flags: "NOT_USED"
    python_versions:
      - "3.9"
      - "3.10"
      - "3.11"
      - "3.12"
to_be_built:
#   - "2.12"
#   - "2.13"
#   - "2.14"
#   - "2.15"
#   - "git"

# Python versions are from tensorflow-git/tensorflow/tools/pip_package/setup.py file
